Skip to content

Get Index

GET
/api/v1/indexes/{model_name}

Get details for a specific model’s index.

Args: model_name: Name of the embedding model service: Index management service (injected)

Returns: Index information for the specified model

Raises: HTTPException: 404 if index not found, 500 for server errors

model_name
required
Model Name
string

Successful Response

IndexInfoModel

API model for vector index information.

object
index_name
required
Index Name
string
model_name
required
Model Name
string
index_type
required
Index Type
string
Allowed values: ivfflat hnsw
row_count
required
Row Count
integer
size_bytes
required
Size Bytes
integer
size_pretty
required
Size Pretty
string
parameters
required
Parameters
object
key
additional properties
integer
scan_count
Scan Count
integer
0

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object